summaryrefslogtreecommitdiff
path: root/dev-python/httptools
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-10 03:05:02 -0500
committerCrucible <crucible@localhost>2026-10-10 03:05:02 -0500
commit8d50579e39879dc6ba06d9fa6829f2e9a2c77420 (patch)
tree02fb01f1f55d0cf4b5660cb1cc12f2e2fccae010 /dev-python/httptools
parentfe1add1bc6351c4b156c993343992fe4de29c61e (diff)
downloadsrcux-8d50579e39879dc6ba06d9fa6829f2e9a2c77420.tar.gz
srcux-8d50579e39879dc6ba06d9fa6829f2e9a2c77420.tar.xz
srcux-8d50579e39879dc6ba06d9fa6829f2e9a2c77420.zip
Publish srcux candidate 0000000619-20261010-030308
Diffstat (limited to 'dev-python/httptools')
-rw-r--r--dev-python/httptools/Manifest1
-rw-r--r--dev-python/httptools/httptools-0.9.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/httptools/Manifest b/dev-python/httptools/Manifest
index 761e3d228dcb..aa7233802cfb 100644
--- a/dev-python/httptools/Manifest
+++ b/dev-python/httptools/Manifest
@@ -1 +1,2 @@
DIST httptools-0.8.0.gh.tar.gz 16922 BLAKE2B 3d352ac18005d5d0cfd657dc608cf59d84f6143f858e70b56a29b7c173720135cf0b419b228da00fc83341479329e243bb0263230f3bc576d3d67faf9b515a3e SHA512 32556fc4ba282d91bf71323ff27aba1b5dae54838101780c5e35b80f26d3922cc9b944ecdf74c9792a3830d56fa67d91a3e47223f5f45bcd018567092a5f9687
+DIST httptools-0.9.0.gh.tar.gz 22788 BLAKE2B 86f508e4c6c092f688948e35fd99b6bc5858a85421533f8bedd69f00c15aaaeb8ad8d5bc7b443237481df014d8de4eac3f7b0b35821b3729e28bd53f2659b997 SHA512 f254f835665ec001e8f493d3045e96a38966181556aaf643bf25654813c4572d25fa6d4fcc55fd69683f6f5735f31d514f1ee99031d00df4414fe01ed87194a6
diff --git a/dev-python/httptools/httptools-0.9.0.ebuild b/dev-python/httptools/httptools-0.9.0.ebuild
new file mode 100644
index 000000000000..b6f5ee14ca3f
--- /dev/null
+++ b/dev-python/httptools/httptools-0.9.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of framework independent HTTP protocol utils"
+HOMEPAGE="
+ https://github.com/MagicStack/httptools/
+ https://pypi.org/project/httptools/
+"
+# sdist is missing cython source files, as of 0.6.2
+SRC_URI="
+ https://github.com/MagicStack/httptools/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# don't ask me why they use both
+DEPEND="
+ net-libs/http-parser:=
+ net-libs/llhttp:=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=dev-python/cython-3.1.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_configure() {
+ cat > setup.cfg <<-EOF || die
+ [build_ext]
+ use_system_llhttp = true
+ use_system_http_parser = true
+ cython_always = true
+ EOF
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+
+ case ${EPYTHON} in
+ pypy3*)
+ # no point trying to fix it
+ return
+ ;;
+ esac
+
+ rm -rf httptools || die
+ epytest tests
+}